<?php
$tdata_____ = array();
$tdata_____[".searchableFields"] = array();
$tdata_____[".ShortName"] = "_____";
$tdata_____[".OwnerID"] = "";
$tdata_____[".OriginalTable"] = "statistics";


$tdata_____[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata_____[".originalPagesByType"] = $tdata_____[".pagesByType"];
$tdata_____[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata_____[".originalPages"] = $tdata_____[".pages"];
$tdata_____[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata_____[".originalDefaultPages"] = $tdata_____[".defaultPages"];

//	field labels
$fieldLabels_____ = array();
$fieldToolTips_____ = array();
$pageTitles_____ = array();
$placeHolders_____ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels_____["English"] = array();
	$fieldToolTips_____["English"] = array();
	$placeHolders_____["English"] = array();
	$pageTitles_____["English"] = array();
	$fieldLabels_____["English"]["_______"] = "المنطقة";
	$fieldToolTips_____["English"]["_______"] = "";
	$placeHolders_____["English"]["_______"] = "";
	$fieldLabels_____["English"]["_____"] = "القلم";
	$fieldToolTips_____["English"]["_____"] = "";
	$placeHolders_____["English"]["_____"] = "";
	$fieldLabels_____["English"]["_____________"] = "عدد المقترعين";
	$fieldToolTips_____["English"]["_____________"] = "";
	$placeHolders_____["English"]["_____________"] = "";
	$fieldLabels_____["English"]["_______"] = "المجموع";
	$fieldToolTips_____["English"]["_______"] = "";
	$placeHolders_____["English"]["_______"] = "";
	$fieldLabels_____["English"]["_____________"] = "نسبة الإقتراع";
	$fieldToolTips_____["English"]["_____________"] = "";
	$placeHolders_____["English"]["_____________"] = "";
	$fieldLabels_____["English"]["__"] = "مع";
	$fieldToolTips_____["English"]["__"] = "";
	$placeHolders_____["English"]["__"] = "";
	$fieldLabels_____["English"]["__"] = "ضد";
	$fieldToolTips_____["English"]["__"] = "";
	$placeHolders_____["English"]["__"] = "";
	$fieldLabels_____["English"]["_____"] = "تشكيل";
	$fieldToolTips_____["English"]["_____"] = "";
	$placeHolders_____["English"]["_____"] = "";
	$fieldLabels_____["English"]["_____"] = "مجهول";
	$fieldToolTips_____["English"]["_____"] = "";
	$placeHolders_____["English"]["_____"] = "";
	$fieldLabels_____["English"]["_____"] = "الإسم";
	$fieldToolTips_____["English"]["_____"] = "";
	$placeHolders_____["English"]["_____"] = "";
	if (count($fieldToolTips_____["English"]))
		$tdata_____[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels_____["Arabic"] = array();
	$fieldToolTips_____["Arabic"] = array();
	$placeHolders_____["Arabic"] = array();
	$pageTitles_____["Arabic"] = array();
	$fieldLabels_____["Arabic"]["_____"] = "الإسم";
	$fieldToolTips_____["Arabic"]["_____"] = "";
	$placeHolders_____["Arabic"]["_____"] = "";
	$fieldLabels_____["Arabic"]["_______"] = "المنطقة";
	$fieldToolTips_____["Arabic"]["_______"] = "";
	$placeHolders_____["Arabic"]["_______"] = "";
	$fieldLabels_____["Arabic"]["_____"] = "القلم";
	$fieldToolTips_____["Arabic"]["_____"] = "";
	$placeHolders_____["Arabic"]["_____"] = "";
	$fieldLabels_____["Arabic"]["_____________"] = "عدد المقترعين";
	$fieldToolTips_____["Arabic"]["_____________"] = "";
	$placeHolders_____["Arabic"]["_____________"] = "";
	$fieldLabels_____["Arabic"]["_______"] = "المجموع";
	$fieldToolTips_____["Arabic"]["_______"] = "";
	$placeHolders_____["Arabic"]["_______"] = "";
	$fieldLabels_____["Arabic"]["_____________"] = "نسبة الإقتراع";
	$fieldToolTips_____["Arabic"]["_____________"] = "";
	$placeHolders_____["Arabic"]["_____________"] = "";
	$fieldLabels_____["Arabic"]["__"] = "مع";
	$fieldToolTips_____["Arabic"]["__"] = "";
	$placeHolders_____["Arabic"]["__"] = "";
	$fieldLabels_____["Arabic"]["__"] = "ضد";
	$fieldToolTips_____["Arabic"]["__"] = "";
	$placeHolders_____["Arabic"]["__"] = "";
	$fieldLabels_____["Arabic"]["_____"] = "تشكيل";
	$fieldToolTips_____["Arabic"]["_____"] = "";
	$placeHolders_____["Arabic"]["_____"] = "";
	$fieldLabels_____["Arabic"]["_____"] = "مجهول";
	$fieldToolTips_____["Arabic"]["_____"] = "";
	$placeHolders_____["Arabic"]["_____"] = "";
	if (count($fieldToolTips_____["Arabic"]))
		$tdata_____[".isUseToolTips"] = true;
}


	$tdata_____[".NCSearch"] = true;

	$tdata_____[".ChartRefreshTime"] = 180;


$tdata_____[".shortTableName"] = "_____";
$tdata_____[".nSecOptions"] = 0;

$tdata_____[".mainTableOwnerID"] = "";
$tdata_____[".entityType"] = 3;
$tdata_____[".connId"] = "electiondb_at_ssl_localhost";


$tdata_____[".strOriginalTableName"] = "statistics";

	



$tdata_____[".showAddInPopup"] = false;

$tdata_____[".showEditInPopup"] = false;

$tdata_____[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata_____[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata_____[".listAjax"] = false;
//	temporary
$tdata_____[".listAjax"] = false;

	$tdata_____[".audit"] = false;

	$tdata_____[".locking"] = false;


$pages = $tdata_____[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata_____[".edit"] = true;
	$tdata_____[".afterEditAction"] = 1;
	$tdata_____[".closePopupAfterEdit"] = 1;
	$tdata_____[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata_____[".add"] = true;
$tdata_____[".afterAddAction"] = 1;
$tdata_____[".closePopupAfterAdd"] = 1;
$tdata_____[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata_____[".list"] = true;
}



$tdata_____[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata_____[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata_____[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata_____[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata_____[".printFriendly"] = true;
}



$tdata_____[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata_____[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata_____[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata_____[".isUseAjaxSuggest"] = true;






$tdata_____[".ajaxCodeSnippetAdded"] = false;

$tdata_____[".buttonsAdded"] = false;

$tdata_____[".addPageEvents"] = false;

// use timepicker for search panel
$tdata_____[".isUseTimeForSearch"] = false;


$tdata_____[".badgeColor"] = "DAA520";


$tdata_____[".allSearchFields"] = array();
$tdata_____[".filterFields"] = array();
$tdata_____[".requiredSearchFields"] = array();




$tdata_____[".tableType"] = "chart";

$tdata_____[".printerPageOrientation"] = 0;
$tdata_____[".nPrinterPageScale"] = 100;

$tdata_____[".nPrinterSplitRecords"] = 40;

$tdata_____[".geocodingEnabled"] = false;



// chart settings
$tdata_____[".chartType"] = "2DColumn";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata_____[".strOrderBy"] = $tstrOrderBy;

$tdata_____[".orderindexes"] = array();


$tdata_____[".sqlHead"] = "SELECT `الإسم`,  	`المنطقة`,  	`القلم`,  	`عدد المقترعين`,  	`المجموع`,  	`نسبة الإقتراع`,  	`مع`,  	`ضد`,  	`تشكيل`,  	`مجهول`";
$tdata_____[".sqlFrom"] = "FROM `statistics`";
$tdata_____[".sqlWhereExpr"] = "";
$tdata_____[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata_____[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata_____[".arrGroupsPerPage"] = $arrGPP;

$tdata_____[".highlightSearchResults"] = true;

$tableKeys_____ = array();
$tdata_____[".Keys"] = $tableKeys_____;


$tdata_____[".hideMobileList"] = array();




//	الإسم
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "الإسم";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_____");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "الإسم";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`الإسم`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=57";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["الإسم"] = $fdata;
		$tdata_____[".searchableFields"][] = "الإسم";
//	المنطقة
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "المنطقة";
	$fdata["GoodName"] = "_______";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_______");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "المنطقة";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`المنطقة`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "electioncase";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "region";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "region";

	

	
	$edata["LookupOrderBy"] = "region";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["المنطقة"] = $fdata;
		$tdata_____[".searchableFields"][] = "المنطقة";
//	القلم
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "القلم";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_____");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "القلم";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`القلم`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "electioncase";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "numCase";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "numCase";

	

	
	$edata["LookupOrderBy"] = "numCase";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Between";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["القلم"] = $fdata;
		$tdata_____[".searchableFields"][] = "القلم";
//	عدد المقترعين
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "عدد المقترعين";
	$fdata["GoodName"] = "_____________";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_____________");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "عدد المقترعين";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`عدد المقترعين`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["عدد المقترعين"] = $fdata;
		$tdata_____[".searchableFields"][] = "عدد المقترعين";
//	المجموع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "المجموع";
	$fdata["GoodName"] = "_______";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_______");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "المجموع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`المجموع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["المجموع"] = $fdata;
		$tdata_____[".searchableFields"][] = "المجموع";
//	نسبة الإقتراع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "نسبة الإقتراع";
	$fdata["GoodName"] = "_____________";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_____________");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "نسبة الإقتراع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`نسبة الإقتراع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["نسبة الإقتراع"] = $fdata;
		$tdata_____[".searchableFields"][] = "نسبة الإقتراع";
//	مع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "مع";
	$fdata["GoodName"] = "__";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","__");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "مع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`مع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["مع"] = $fdata;
		$tdata_____[".searchableFields"][] = "مع";
//	ضد
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "ضد";
	$fdata["GoodName"] = "__";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","__");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ضد";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`ضد`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["ضد"] = $fdata;
		$tdata_____[".searchableFields"][] = "ضد";
//	تشكيل
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "تشكيل";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_____");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "تشكيل";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`تشكيل`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["تشكيل"] = $fdata;
		$tdata_____[".searchableFields"][] = "تشكيل";
//	مجهول
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "مجهول";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("_____","_____");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "مجهول";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`مجهول`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_____["مجهول"] = $fdata;
		$tdata_____[".searchableFields"][] = "مجهول";

$tdata_____[".chartLabelField"] = "الإسم";
$tdata_____[".chartSeries"] = array();
$tdata_____[".chartSeries"][] = array( 
	"field" => "مجهول",
	"total" => ""
);
$tdata_____[".chartSeries"][] = array( 
	"field" => "تشكيل",
	"total" => ""
);
$tdata_____[".chartSeries"][] = array( 
	"field" => "ضد",
	"total" => ""
);
$tdata_____[".chartSeries"][] = array( 
	"field" => "مع",
	"total" => ""
);
$tdata_____[".chartSeries"][] = array( 
	"field" => "نسبة الإقتراع",
	"total" => ""
);
	$tdata_____[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">إحصاء</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdata_____[".chartXml"] .= '<attr value="0">
			<attr value="name">مجهول</attr>';
	$tdata_____[".chartXml"] .= '</attr>';
	$tdata_____[".chartXml"] .= '<attr value="1">
			<attr value="name">تشكيل</attr>';
	$tdata_____[".chartXml"] .= '</attr>';
	$tdata_____[".chartXml"] .= '<attr value="2">
			<attr value="name">ضد</attr>';
	$tdata_____[".chartXml"] .= '</attr>';
	$tdata_____[".chartXml"] .= '<attr value="3">
			<attr value="name">مع</attr>';
	$tdata_____[".chartXml"] .= '</attr>';
	$tdata_____[".chartXml"] .= '<attr value="4">
			<attr value="name">نسبة الإقتراع</attr>';
	$tdata_____[".chartXml"] .= '</attr>';
	$tdata_____[".chartXml"] .= '<attr value="5">
		<attr value="name">الإسم</attr>
	</attr>';
	$tdata_____[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata_____[".chartXml"] .= '<attr value="head">'.xmlencode("نسبة الإقتراع حسب التصنيف").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">false</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">1</attr>
<attr value="autoupmin">180</attr>';
$tdata_____[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata_____[".chartXml"] .= '<attr value="0">
		<attr value="name">الإسم</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_____")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="1">
		<attr value="name">المنطقة</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_______")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="2">
		<attr value="name">القلم</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_____")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="3">
		<attr value="name">عدد المقترعين</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_____________")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="4">
		<attr value="name">المجموع</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_______")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="5">
		<attr value="name">نسبة الإقتراع</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_____________")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="6">
		<attr value="name">مع</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","__")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="7">
		<attr value="name">ضد</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","__")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="8">
		<attr value="name">تشكيل</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_____")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_____[".chartXml"] .= '<attr value="9">
		<attr value="name">مجهول</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_____","_____")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata_____[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">إحصاء</attr>
<attr value="short_table_name">_____</attr>
</attr>

</chart>';

$tables_data["إحصاء"]=&$tdata_____;
$field_labels["_____"] = &$fieldLabels_____;
$fieldToolTips["_____"] = &$fieldToolTips_____;
$placeHolders["_____"] = &$placeHolders_____;
$page_titles["_____"] = &$pageTitles_____;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["إحصاء"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["إحصاء"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery______()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`الإسم`,  	`المنطقة`,  	`القلم`,  	`عدد المقترعين`,  	`المجموع`,  	`نسبة الإقتراع`,  	`مع`,  	`ضد`,  	`تشكيل`,  	`مجهول`";
$proto0["m_strFrom"] = "FROM `statistics`";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "الإسم",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto6["m_sql"] = "`الإسم`";
$proto6["m_srcTableName"] = "إحصاء";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "المنطقة",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto8["m_sql"] = "`المنطقة`";
$proto8["m_srcTableName"] = "إحصاء";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "القلم",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto10["m_sql"] = "`القلم`";
$proto10["m_srcTableName"] = "إحصاء";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "عدد المقترعين",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto12["m_sql"] = "`عدد المقترعين`";
$proto12["m_srcTableName"] = "إحصاء";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "المجموع",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto14["m_sql"] = "`المجموع`";
$proto14["m_srcTableName"] = "إحصاء";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "نسبة الإقتراع",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto16["m_sql"] = "`نسبة الإقتراع`";
$proto16["m_srcTableName"] = "إحصاء";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "مع",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto18["m_sql"] = "`مع`";
$proto18["m_srcTableName"] = "إحصاء";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "ضد",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto20["m_sql"] = "`ضد`";
$proto20["m_srcTableName"] = "إحصاء";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "تشكيل",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto22["m_sql"] = "`تشكيل`";
$proto22["m_srcTableName"] = "إحصاء";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "مجهول",
	"m_strTable" => "statistics",
	"m_srcTableName" => "إحصاء"
));

$proto24["m_sql"] = "`مجهول`";
$proto24["m_srcTableName"] = "إحصاء";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "statistics";
$proto27["m_srcTableName"] = "إحصاء";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "الإسم";
$proto27["m_columns"][] = "المنطقة";
$proto27["m_columns"][] = "القلم";
$proto27["m_columns"][] = "عدد المقترعين";
$proto27["m_columns"][] = "المجموع";
$proto27["m_columns"][] = "نسبة الإقتراع";
$proto27["m_columns"][] = "مع";
$proto27["m_columns"][] = "ضد";
$proto27["m_columns"][] = "تشكيل";
$proto27["m_columns"][] = "مجهول";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "`statistics`";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "إحصاء";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="إحصاء";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData______ = createSqlQuery______();


	
		;

										

$tdata_____[".sqlquery"] = $queryData______;



$tableEvents["إحصاء"] = new eventsBase;
$tdata_____[".hasEvents"] = false;

?>